<div class="face-snap-card" *ngIf="faceSnap$ | async as faceSnap" [ngClass]="{ snapped: buttonText === 'Oops, unSnap!' }">
  <h2>{{ faceSnap.title | titlecase}}</h2>
  <a routerLink="/facesnaps">Back</a>
  <p>Mis en ligne {{ faceSnap.createdDate | date: 'à HH:mm, le d MMMM yyyy' }}</p>
  <img [src]="faceSnap.imageUrl" [alt]="faceSnap.title">
  <p>{{ faceSnap.description }}</p>
  <p *ngIf="faceSnap.location">Photo prise à {{ faceSnap.location }}</p>
  <p>
    <button (click)="onSnap(faceSnap.id)">{{buttonText}}</button>
    <span [ngStyle]="{ color: 'rgb(0, ' + faceSnap.snaps + ', 0)' }">👍{{ faceSnap.snaps }}</span>
  </p>
</div>
